<div>
    <h2 id="page-heading">
        <span>Agent Member Activations</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-agent-member-activation" [routerLink]="['/agent-member-activation/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Agent Member Activation
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="agentMemberActivations?.length === 0">
        <span>No agentMemberActivations found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="agentMemberActivations && agentMemberActivations.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Agent Id</span></th>
                    <th scope="col" ><span>Invoice</span></th>
                    <th scope="col" ><span>Date</span></th>
                    <th scope="col" ><span>Activate</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Currency</span></th>
                    <th scope="col" ><span>Money</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let agentMemberActivation of agentMemberActivations ;trackBy: trackId">
                    <td><a [routerLink]="['/agent-member-activation', agentMemberActivation.id, 'view']">{{ agentMemberActivation.id }}</a></td>
                    <td>{{ agentMemberActivation.agentId }}</td>
                    <td>{{ agentMemberActivation.invoice }}</td>
                    <td>{{ agentMemberActivation.date | date:'medium' }}</td>
                    <td>{{ agentMemberActivation.activate | date:'medium' }}</td>
                    <td>{{ agentMemberActivation.remark }}</td>
                    <td>{{ agentMemberActivation.currency }}</td>
                    <td>{{ agentMemberActivation.money }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/agent-member-activation', agentMemberActivation.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/agent-member-activation', agentMemberActivation.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(agentMemberActivation)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
